Knips logoKnips API

List products

Returns the products in a feed. Use $offset and $limit to paginate, and $filter to narrow the result set.

GET
/feeds/{feedId}/products

Returns the products in a feed. Use $offset and $limit to paginate, and $filter to narrow the result set.

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

feedId*string

Query Parameters

$offset?number
$limit?number
$filter?string
curl -X GET "https://example.com/feeds/string/products"
{  "meta": {    "maxResults": 0.1  },  "items": [    {      "customProperties": {        "property1": null,        "property2": null      },      "collections": [        {          "collectionTitle": "string",          "id": "string"        }      ],      "externalId": "string",      "tags": [        "string"      ],      "isForSale": true,      "currency": "string",      "originalPrice": 0,      "price": 0,      "imageUrl": "string",      "url": "string",      "status": "string",      "vendor": "string",      "handle": "string",      "bodyHtml": "string",      "type": "string",      "title": "string",      "id": "string"    }  ]}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}